<div class="panel-body">
  <form [formGroup]="form" (ngSubmit)="createJob(form.value)" >

    <div class="row">
      <div class="col">
        <div class="form-group">
          <label for="title">titre</label>
          <input type="text" id="title"
                name="title"
                class="form-control"
                placeholder="titre de votre annonce"
                formControlName="title"
          >
        </div>
        <div class="form-group">
          <label for="company">entreprise</label>
          <input type="text" id="company"
                name="company"
                class="form-control"
                placeholder="titre de votre entreprise"
                formControlName="company"
          >
        </div>
        <div class="form-group">
          <label for="city">ville</label>
          <input type="text" id="city"
                name="city"
                class="form-control"
                placeholder="ville du poste proposé"
                formControlName="city"
          >
        </div>
        <div class="form-inline">
          <label class="my-1 mr-2" for="salary">salaire</label>
          <input type="text" id="salary"
                name="salary"
                class="form-control my-1 mr-2"
                placeholder="salaire"
                formControlName="salary"
          >
        </div>
      </div>
      <div class="col">
        <div class="form-group">
          <label for="description">description</label>
          <textarea name="description" 
                    id="description" 
                    class="form-control" 
                    cols="30" 
                    rows="10" 
                    formControlName="description"
          ></textarea>
        </div>
        <div class="form-group">
          <label for="contract">contrat</label>
          <select name="contract" 
                  id="contract" 
                  class="form-control" 
                  formControlName="contract"
          >
            <option *ngFor="let ct of contractTypes"  [value]="ct.value">{{ct.name}}</option>
          </select>
        </div>
      </div>
    </div>

    <div class="form-group">
      <label>déplacements</label><br>  
      <div class="form-check" *ngFor="let area of areas">
        <input type="radio" 
              name="area" 
              [id]="'btn-' + area.value"
              class="form-check-input"
              [value]="area.value"
              formControlName="area"
        >
        <label class="form-check-label" [for]="'btn-' + area.value">{{area.name}}</label>
      </div>
    </div>
    
    <div class="form-inline">
      <label class="my-1 mr-2" for="publishdate">date de publication</label>    
      <input type="date"
              name="publishdate"
              class="form-control my-1 mr-2"
              placeholder="secteur d'activité"
              formControlName="publishdate"
      >
    </div>
    
    <div class="row">
      <div class="form-group col-sm">
        <button type="submit" class="btn btn-success">Créer l'annonce</button>
      </div>
    </div>

  </form>
</div>